OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
RemoveSelfIntersectingSurface< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Classes
struct | Comp

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | Int32TreeType = typename TreeType::template ValueConverter< Int32 >::Type

## Public Member Functions
| RemoveSelfIntersectingSurface (std::vector< LeafNodeType *> &nodes, TreeType &distTree, Int32TreeType &indexTree)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
LeafNodeType **const | mNodes
TreeType *const | mDistTree
Int32TreeType *const | mIndexTree

## Member Typedef Documentation

## ◆ Int32TreeType

using Int32TreeType = typename TreeType::template ValueConverter<Int32>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ RemoveSelfIntersectingSurface()

RemoveSelfIntersectingSurface | ( | std::vector< LeafNodeType *> & | nodes,
|  | TreeType & | distTree,
|  | Int32TreeType & | indexTree
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mDistTree

TreeType* const mDistTree

## ◆ mIndexTree

Int32TreeType* const mIndexTree

## ◆ mNodes

LeafNodeType* * const mNodes

The documentation for this struct was generated from the following file:

- MeshToVolume.h